spring:
  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://1.94.237.210:3306/qingcheng-test?serverTimezone=Asia/Shanghai
    username: qingcheng
    password: Qc@123456
    hikari:
      maximum-pool-size: 20
      max-lifetime: 120000



  data:
    redis:
      port: 6379
      host: 154.8.193.216
      database: 8
      password: Cksys6509


  servlet:
    multipart:
      max-file-size: 20MB
      max-request-size: 20MB


springdoc:
  default-flat-param-object: true

#线程池配置
threadpool:
  corePoolSize: 10
  maxPoolSize: 50
  queueCapacity: 1024
  keepAliveTime: 60


server:
  port: 3456



mybatis-plus:
  mapper-locations: classpath:mapper/*.xml
  configuration:
    map-underscore-to-camel-case: false
#    log-impl: org.apache.ibatis.logging.nologging.NoLoggingImpl
#    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
  global-config:
    db-config:
      logic-delete-field: isDelete #全局逻辑删除的实体字段名
      logic-delete-value: 1        #逻辑已删除值(默认为1)
      logic-not-delete-value: 0    #逻辑未删除值(默认为0)
  type-handlers-package: com.cultural.heritage.handler



wx:
  mini:
    appId: wx3f968a09e31d6bed
    appSecret: 0b23498d19665dc323efdd3ed5367041

  pay:
    #应用id（小程序id）
    appId: wx61b63e27bddf4ea2
    #商户号
    merchantId: 1700326544
    #    #商户API私钥
    #    privateKeyPath: apiclient_key.pem
    #商户证书序列号
    merchantSerialNumber: 6DC8953AB741D309920DA650B92F837BE38A2757
    #    #商户APIv3密钥
    #    apiV3Key: fbemuj4Xql7CYlQJAoTEPYxvPSNgYT2t
    #通知地址
    notifyUrl: https://winning-mouse-internally.ngrok-free.app
    #微信服务器地址
    domain: https://api.mch.weixin.qq.com
    #商户APIv2密钥
    apiV2Key: cvsOH6TgbbdNUUqFJyLmWGaIEKoSqANg
    #商户API证书
    certificatePath: static/apiclient_cert.p12




knife4j:
  enable: true